﻿
using System;
using System.Web;
using Telerik.Web.UI;
using System.Data;
using System.Drawing;
using System.Drawing.Imaging;
using System.Data.SqlClient;
using System.IO;


public class Handler : AsyncUploadHandler, System.Web.SessionState.IRequiresSessionState
{
   
    protected override IAsyncUploadResult Process(UploadedFile file, HttpContext context, IAsyncUploadConfiguration configuration, string tempFileName)
    {
        var queryStringParam1 = context.Request.QueryString["saveToFolder"];
        string targetFolder = context.Server.MapPath(configuration.TargetFolder);
        string fileName = file.GetName();
        file.SaveAs(targetFolder + "/" + queryStringParam1 + "/" + fileName);
        return CreateDefaultUploadResult<UploadedFileInfo>(file);
    }

 
}

